/*
 * Copyright (C) 2010, Center for Adaptive Behaviour and Cognition (ABC).
 * Developer: Martijn Brakenhoff 
 * 
 * Max Planck Institute for Human Development
 * (Max-Planck-Institut fr Bildungsforschung)
 * Lentzeallee 94, 14195 Berlin
 * Germany 
 */
package eu.larkc.jactr.modules.sparql;

import java.util.concurrent.Future;

import org.jactr.core.chunk.IChunk;

import eu.larkc.jactr.scripting.sparql.SPARQLRequest;

/**
 * The definition of a retrieval module that can receive SPARQL Requests.
 * 
 * @author Martijn Brakenhoff
 * @created April 14, 2010
 */
public interface ISPARQLRetrievalModule {

	/**
	 * Returns (the promise of) an IChunk that matches the SPARQLRequest. 
	 * 
	 * @param request the SPARQLRequest that will be matched.
	 * @return the promise of the chunk that matches most.
	 */
	public Future<IChunk> retrieveChunk(final SPARQLRequest request);
	
}