/*
 * Copyright (C) 2010, Center for Adaptive Behaviour and Cognition (ABC).
 * Developer: Martijn Brakenhoff 
 * 
 * Max Planck Institute for Human Development
 * (Max-Planck-Institut fr Bildungsforschung)
 * Lentzeallee 94, 14195 Berlin
 * Germany 
 */
package eu.larkc.jactr.scripting.sparql;

import org.jactr.core.model.IModel;
import org.jactr.core.production.VariableBindings;
import org.jactr.core.production.condition.CannotMatchException;
import org.jactr.core.production.request.IRequest;

import eu.larkc.core.query.SPARQLQuery;

/**
 * A jACT-R request that contains a SPARQLQuery. 
 * 
 * @author Martijn Brakenhoff
 * @created April 28, 2010
 */
public class SPARQLRequest implements IRequest {

	private SPARQLQuery _sparqlQuery;

	public SPARQLRequest(SPARQLQuery sparqlQuery) {
		_sparqlQuery = sparqlQuery;
	}
	
	public SPARQLQuery getSPARQLQuery() {
		return _sparqlQuery;
	}

	@Override
	public SPARQLRequest clone() {
		return new SPARQLRequest(_sparqlQuery);
	}

	@Override
	public int bind(IModel model, VariableBindings bindings,
			boolean iterativeCall) throws CannotMatchException {
		// TODO Auto-generated method stub
		return 0;
	}

}
